import { defineConfig } from "vite";
import solid from "vite-plugin-solid";
import solidStyled from "vite-plugin-solid-styled";
import suid from "@suid/vite-plugin";
import { VitePWA } from "vite-plugin-pwa";

export default defineConfig(({ mode }) => ({
  plugins: [
    suid(),
    solid(),
    solidStyled({
      filter: {
        include: "src/**/*.{tsx,jsx}",
        exclude: "node_modules/**/*.{ts,js,tsx,jsx}",
      },
    }),
    VitePWA({
      registerType: "autoUpdate",
    }),
  ],
  css: {
    devSourcemap: true,
  },
  build: {
    target: ["firefox98", "safari15.4", "ios15.4", "chrome84", "edge87"],
    sourcemap: true,
  },
}));
